> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teamcamp.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Task List

> Return all task from Project



## OpenAPI

````yaml GET /task
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.teamcamp.app/v1.0/
security:
  - bearerAuth: []
paths:
  /task:
    get:
      description: Return all task from Project
      parameters:
        - name: projectId
          in: query
          description: The ID of the project
          required: true
          schema:
            type: string
        - name: complete
          in: query
          description: >-
            **The parameter complete is used to filter the tasks accordingly:**


            - When `complete = true` is passed, the function returns all tasks
            that are marked as complete within the specified project.

            - When `complete = false` is passed, the function returns all tasks
            that are marked as incomplete within the specified project.

            - When no value is passed for `complete`, the function returns all
            tasks, irrespective of their completion status, within the specified
            project.
          schema:
            type: boolean
      responses:
        '200':
          description: task response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/getTasks'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    getTasks:
      required:
        - name
      type: object
      properties:
        taskId:
          description: The ID of the task
          type: string
        taskName:
          description: The Name of the task
          type: string
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: apiKey
      name: apiKey
      in: header

````